Bug 121356 - spec file should install libsmbclient.so with executable permissions
spec file should install libsmbclient.so with executable permissions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 14:07 EDT by George Karabin
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.3-3.rc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 13:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Karabin 2004-04-20 14:07:17 EDT
Description of problem:

The specfile for building samba packages installs libsmbclient.so
without executable permissions. rpmbuild then fails to identify the
file as one to install debuginfo for.

Version-Release number of selected component (if applicable):

samba-3.0.3-2.pre2

Additional info:

See https://bugzilla.samba.org/show_bug.cgi?id=1277 for the same issue
upstream. There's a trivial patch there that can in principle be
applied in the Fedora package.

See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=120992 for
the history of me figuring out the right fix.
Comment 1 Mark J. Cox (Product Security) 2004-07-22 07:01:05 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-259.html

Note You need to log in before you can comment on or make changes to this bug.